### Class

# Gdk CicpParams

since: 4.16

#### Description [src]

    final class Gdk.CicpParams : GObject.Object
    {
      /* No available fields */
    }

Contains the parameters that define a colorstate with cicp parameters.

Cicp parameters are specified in the ITU-T H.273 specification.

See the documentation of individual properties for supported values.

The ‘unspecified’ value (2) is not treated in any special way, and must be replaced by a different value before creating a color state.

`GdkCicpParams` can be used as a builder object to construct a color state from Cicp data with `gdk_cicp_params_build_color_state()`. The function will return an error if the given parameters are not supported.

You can obtain a `GdkCicpParams` object from a color state with `gdk_color_state_create_cicp_params()`. This can be used to create a variant of a color state, by changing just one of the cicp parameters, or just to obtain information about the color state.

Available since: 4.16

#### Ancestors

- GObject

#### Constructors

###### gdk_cicp_params_new

Creates a new `GdkCicpParams` object.

since: 4.16

#### Instance methods

###### gdk_cicp_params_build_color_state

Creates a new `GdkColorState` object for the cicp parameters in `self`.

since: 4.16

###### gdk_cicp_params_get_color_primaries

Returns the value of the color-primaries property of `self`.

since: 4.16

###### gdk_cicp_params_get_matrix_coefficients

Gets the matrix-coefficients property of `self`.

since: 4.16

###### gdk_cicp_params_get_range

Gets the range property of `self`.

since: 4.16

###### gdk_cicp_params_get_transfer_function

Gets the transfer-function property of `self`.

since: 4.16

###### gdk_cicp_params_set_color_primaries

Sets the color-primaries property of `self`.

since: 4.16

###### gdk_cicp_params_set_matrix_coefficients

`self` a `GdkCicpParams` Sets the matrix-coefficients property of `self`.

since: 4.16

###### gdk_cicp_params_set_range

Sets the range property of `self`.

since: 4.16

###### gdk_cicp_params_set_transfer_function

Sets the transfer-function property of `self`.

since: 4.16

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gdk.CicpParams:color-primaries

The color primaries to use.

since: 4.16

###### Gdk.CicpParams:matrix-coefficients

The matrix coefficients (for YUV to RGB conversion).

since: 4.16

###### Gdk.CicpParams:range

Whether the data is using the full range of values.

since: 4.16

###### Gdk.CicpParams:transfer-function

The transfer function to use.

since: 4.16

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GdkCicpParamsClass {
      /* no available fields */
    }

No description available.